Update an existing Service Order
curl --request PATCH \
--url https://commerce.driv.ly/api/serviceorders/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "sord_8d93j2k4s9d2",
"invoice": "Invoice ID",
"service": "Service ID",
"statusURL": "http://example.com/status",
"serviceQuote": "Service Quote ID",
"billToCompany": "Company ID",
"consignmentCompany": "Company ID"
}
'import requests
url = "https://commerce.driv.ly/api/serviceorders/{id}"
payload = {
"id": "sord_8d93j2k4s9d2",
"invoice": "Invoice ID",
"service": "Service ID",
"statusURL": "http://example.com/status",
"serviceQuote": "Service Quote ID",
"billToCompany": "Company ID",
"consignmentCompany": "Company ID"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'sord_8d93j2k4s9d2',
invoice: 'Invoice ID',
service: 'Service ID',
statusURL: 'http://example.com/status',
serviceQuote: 'Service Quote ID',
billToCompany: 'Company ID',
consignmentCompany: 'Company ID'
})
};
fetch('https://commerce.driv.ly/api/serviceorders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/serviceorders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'sord_8d93j2k4s9d2',
'invoice' => 'Invoice ID',
'service' => 'Service ID',
'statusURL' => 'http://example.com/status',
'serviceQuote' => 'Service Quote ID',
'billToCompany' => 'Company ID',
'consignmentCompany' => 'Company ID'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/serviceorders/{id}"
payload := strings.NewReader("{\n \"id\": \"sord_8d93j2k4s9d2\",\n \"invoice\": \"Invoice ID\",\n \"service\": \"Service ID\",\n \"statusURL\": \"http://example.com/status\",\n \"serviceQuote\": \"Service Quote ID\",\n \"billToCompany\": \"Company ID\",\n \"consignmentCompany\": \"Company ID\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://commerce.driv.ly/api/serviceorders/{id}")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"sord_8d93j2k4s9d2\",\n \"invoice\": \"Invoice ID\",\n \"service\": \"Service ID\",\n \"statusURL\": \"http://example.com/status\",\n \"serviceQuote\": \"Service Quote ID\",\n \"billToCompany\": \"Company ID\",\n \"consignmentCompany\": \"Company ID\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/serviceorders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"sord_8d93j2k4s9d2\",\n \"invoice\": \"Invoice ID\",\n \"service\": \"Service ID\",\n \"statusURL\": \"http://example.com/status\",\n \"serviceQuote\": \"Service Quote ID\",\n \"billToCompany\": \"Company ID\",\n \"consignmentCompany\": \"Company ID\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "sord_8d93j2k4s9d2",
"invoice": "Invoice ID",
"service": "Service ID",
"statusURL": "http://example.com/status",
"serviceQuote": "Service Quote ID",
"billToCompany": "Company ID",
"consignmentCompany": "Company ID"
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Service Order Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Services
Update an existing Service Order
PATCH
/
serviceorders
/
{id}
Update an existing Service Order
curl --request PATCH \
--url https://commerce.driv.ly/api/serviceorders/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "sord_8d93j2k4s9d2",
"invoice": "Invoice ID",
"service": "Service ID",
"statusURL": "http://example.com/status",
"serviceQuote": "Service Quote ID",
"billToCompany": "Company ID",
"consignmentCompany": "Company ID"
}
'import requests
url = "https://commerce.driv.ly/api/serviceorders/{id}"
payload = {
"id": "sord_8d93j2k4s9d2",
"invoice": "Invoice ID",
"service": "Service ID",
"statusURL": "http://example.com/status",
"serviceQuote": "Service Quote ID",
"billToCompany": "Company ID",
"consignmentCompany": "Company ID"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'sord_8d93j2k4s9d2',
invoice: 'Invoice ID',
service: 'Service ID',
statusURL: 'http://example.com/status',
serviceQuote: 'Service Quote ID',
billToCompany: 'Company ID',
consignmentCompany: 'Company ID'
})
};
fetch('https://commerce.driv.ly/api/serviceorders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/serviceorders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'sord_8d93j2k4s9d2',
'invoice' => 'Invoice ID',
'service' => 'Service ID',
'statusURL' => 'http://example.com/status',
'serviceQuote' => 'Service Quote ID',
'billToCompany' => 'Company ID',
'consignmentCompany' => 'Company ID'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/serviceorders/{id}"
payload := strings.NewReader("{\n \"id\": \"sord_8d93j2k4s9d2\",\n \"invoice\": \"Invoice ID\",\n \"service\": \"Service ID\",\n \"statusURL\": \"http://example.com/status\",\n \"serviceQuote\": \"Service Quote ID\",\n \"billToCompany\": \"Company ID\",\n \"consignmentCompany\": \"Company ID\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://commerce.driv.ly/api/serviceorders/{id}")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"sord_8d93j2k4s9d2\",\n \"invoice\": \"Invoice ID\",\n \"service\": \"Service ID\",\n \"statusURL\": \"http://example.com/status\",\n \"serviceQuote\": \"Service Quote ID\",\n \"billToCompany\": \"Company ID\",\n \"consignmentCompany\": \"Company ID\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/serviceorders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"sord_8d93j2k4s9d2\",\n \"invoice\": \"Invoice ID\",\n \"service\": \"Service ID\",\n \"statusURL\": \"http://example.com/status\",\n \"serviceQuote\": \"Service Quote ID\",\n \"billToCompany\": \"Company ID\",\n \"consignmentCompany\": \"Company ID\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "sord_8d93j2k4s9d2",
"invoice": "Invoice ID",
"service": "Service ID",
"statusURL": "http://example.com/status",
"serviceQuote": "Service Quote ID",
"billToCompany": "Company ID",
"consignmentCompany": "Company ID"
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Service Order Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Path Parameters
Service Order is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Service Order is uniquely identified by id
Service Order sends Bill To Company
Service Order has Consignment Company
Invoice is issued for Service Order
Service is ordered in Service Order
Service Order is created from Service Quote
Service Order has Status URL
Service Order has Attachment
Response
Service Order Updated